import java.util.LinkedList;
import java.lang.reflect.Method;
import java.lang.annotation.Annotation;

class Main {

    /**
     * The main() function
     * @param String[] args main() function arguments array
     */
    public static void main(String[] args) {
        //FIXME: one can create a smart way of building this list
        LinkedList<Class<?>> packageClasses = new LinkedList<Class<?>>();
        packageClasses.add(Entiers.class);
        packageClasses.add(Forme.class);
        packageClasses.add(Image.class);
        packageClasses.add(Liste.class);
        packageClasses.add(Piletransformations.class);
        packageClasses.add(Point.class);
        packageClasses.add(Segment.class);
        packageClasses.add(Structure.class);

        for (Class<?> cl : packageClasses) {
            ClassPreamble classPreamble = cl.getAnnotation(ClassPreamble.class);
            if (classPreamble == null)
                System.out.println("No annotation for " + cl.getName());
                continue;

            System.out.println("Annotation date = " + classPreamble.date());
        }
    }
}
